
;    This is the include file that defines all constants and types for hooking
;    i8042 devices.

ifndef _NTDD8042_
_NTDD8042_ equ 1

IOCTL_INTERNAL_I8042_HOOK_KEYBOARD  equ CTL_CODE(FILE_DEVICE_KEYBOARD, 0FF0h, METHOD_NEITHER, FILE_ANY_ACCESS)
IOCTL_INTERNAL_I8042_HOOK_MOUSE     equ CTL_CODE(FILE_DEVICE_MOUSE, 0FF0h, METHOD_NEITHER, FILE_ANY_ACCESS)

IOCTL_INTERNAL_I8042_KEYBOARD_WRITE_BUFFER   equ CTL_CODE(FILE_DEVICE_KEYBOARD, 0FF1h, METHOD_NEITHER, FILE_ANY_ACCESS)
IOCTL_INTERNAL_I8042_MOUSE_WRITE_BUFFER      equ CTL_CODE(FILE_DEVICE_MOUSE, 0FF1h, METHOD_NEITHER, FILE_ANY_ACCESS)

IOCTL_INTERNAL_I8042_CONTROLLER_WRITE_BUFFER equ CTL_CODE(FILE_DEVICE_KEYBOARD, 0FF2h, METHOD_NEITHER, FILE_ANY_ACCESS)

IOCTL_INTERNAL_I8042_KEYBOARD_START_INFORMATION   equ CTL_CODE(FILE_DEVICE_KEYBOARD, 0FF3h, METHOD_NEITHER, FILE_ANY_ACCESS)
IOCTL_INTERNAL_I8042_MOUSE_START_INFORMATION      equ CTL_CODE(FILE_DEVICE_MOUSE, 0FF3h, METHOD_NEITHER, FILE_ANY_ACCESS)

endif ; _NTDD8042_
